/// <reference types="node" />
import { DeserializedCommand, WritableCommand } from '../CommandBase';
import { MultiViewerWindowOverlayPropertiesState } from '../../state/settings';
import { AtemState } from '../../state';
export declare class MultiViewerWindowOverlayPropertiesCommand extends WritableCommand<MultiViewerWindowOverlayPropertiesState> {
    static MaskFlags: {
        labelVisible: number;
        borderVisible: number;
    };
    static readonly rawName = "CMvO";
    readonly multiViewerId: number;
    readonly windowIndex: number;
    constructor(multiviewerId: number, windowIndex: number);
    serialize(): Buffer;
}
export declare class MultiViewerWindowOverlayPropertiesUpdateCommand extends DeserializedCommand<MultiViewerWindowOverlayPropertiesState> {
    static readonly rawName = "MvOv";
    readonly multiViewerId: number;
    readonly windowIndex: number;
    constructor(multiviewerId: number, windowIndex: number, props: MultiViewerWindowOverlayPropertiesState);
    static deserialize(rawCommand: Buffer): MultiViewerWindowOverlayPropertiesUpdateCommand;
    applyToState(state: AtemState): string;
}
//# sourceMappingURL=MultiViewerWindowOverlayPropertiesCommand.d.ts.map