/// <reference types="node" />
import * as Enums from '../enums';
import { BasicWritableCommand } from '.';
import { DeserializedCommand } from './CommandBase';
import { AtemState } from '../state';
export declare class TimeConfigCommand extends BasicWritableCommand<{
    mode: Enums.TimeMode;
}> {
    static readonly rawName = "CTCC";
    static readonly minimumVersion = Enums.ProtocolVersion.V8_1_1;
    constructor(mode: Enums.TimeMode);
    serialize(): Buffer;
}
export declare class TimeConfigUpdateCommand extends DeserializedCommand<{
    mode: Enums.TimeMode;
}> {
    static readonly rawName = "TCCc";
    static readonly minimumVersion = Enums.ProtocolVersion.V8_1_1;
    constructor(mode: Enums.TimeMode);
    static deserialize(rawCommand: Buffer): TimeConfigUpdateCommand;
    applyToState(state: AtemState): string;
}
//# sourceMappingURL=TimeConfigCommand.d.ts.map