"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TimeConfigUpdateCommand = exports.TimeConfigCommand = void 0;
const Enums = require("../enums");
const _1 = require(".");
const CommandBase_1 = require("./CommandBase");
class TimeConfigCommand extends _1.BasicWritableCommand {
    constructor(mode) {
        super({ mode });
    }
    serialize() {
        const buffer = Buffer.alloc(4);
        buffer.writeUInt8(this.properties.mode, 0);
        return buffer;
    }
}
exports.TimeConfigCommand = TimeConfigCommand;
TimeConfigCommand.rawName = 'CTCC';
TimeConfigCommand.minimumVersion = Enums.ProtocolVersion.V8_1_1;
class TimeConfigUpdateCommand extends CommandBase_1.DeserializedCommand {
    constructor(mode) {
        super({ mode });
    }
    static deserialize(rawCommand) {
        const mode = rawCommand.readUInt8(0);
        return new TimeConfigUpdateCommand(mode);
    }
    applyToState(state) {
        state.settings.timeMode = this.properties.mode;
        return 'settings.timeMode';
    }
}
exports.TimeConfigUpdateCommand = TimeConfigUpdateCommand;
TimeConfigUpdateCommand.rawName = 'TCCc';
TimeConfigUpdateCommand.minimumVersion = Enums.ProtocolVersion.V8_1_1;
//# sourceMappingURL=TimeConfigCommand.js.map