"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ColorConvertConstantsBT601 = exports.ColorConvertConstantsBT709 = void 0;
function createColorConvertConstants(KR, KB) {
    const KG = 1 - KR - KB;
    const KRi = 1 - KR;
    const KBi = 1 - KB;
    const YRange = 219;
    const CbCrRange = 224;
    const HalfCbCrRange = CbCrRange / 2;
    return {
        KR,
        KB,
        KG,
        KRi,
        KBi,
        YRange,
        CbCrRange,
        HalfCbCrRange,
        YOffset: 16 << 8,
        CbCrOffset: 128 << 8,
        KRKRioKG: (KR * KRi * 2) / KG,
        KBKBioKG: (KB * KBi * 2) / KG,
        KRoKBi: (KR / KBi) * HalfCbCrRange,
        KGoKBi: (KG / KBi) * HalfCbCrRange,
        KBoKRi: (KB / KRi) * HalfCbCrRange,
        KGoKRi: (KG / KRi) * HalfCbCrRange,
    };
}
exports.ColorConvertConstantsBT709 = createColorConvertConstants(0.2126, 0.0722);
exports.ColorConvertConstantsBT601 = createColorConvertConstants(0.299, 0.114);
//# sourceMappingURL=colorConstants.js.map