;
/**
 * @fileoverview Polyfills for old browsers.
 * @see https://github.com/inexorabletash/polyfill/blob/master/es5.js
 * @see https://gist.github.com/jhermsmeier/9a34b06a107bbf5d2c91
 * @see https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String/codePointAt
 */

// ES 15.2.3.6 Object.defineProperty ( O, P, Attributes )
// Partial support for most common case - getters, setters, and values
(function() {
  if (!Object.defineProperty ||
      !(function () { try { Object.defineProperty({}, 'x', {}); return true; } catch (e) { return false; } } ())) {
    var orig = Object.defineProperty;
    Object.defineProperty = function (o, prop, desc) {
      // In IE8 try built-in implementation for defining properties on DOM prototypes.
      if (orig) { try { return orig(o, prop, desc); } catch (e) {} }

      if (o !== Object(o)) { throw TypeError("Object.defineProperty called on non-object"); }
      if (Object.prototype.__defineGetter__ && ('get' in desc)) {
        Object.prototype.__defineGetter__.call(o, prop, desc.get);
      }
      if (Object.prototype.__defineSetter__ && ('set' in desc)) {
        Object.prototype.__defineSetter__.call(o, prop, desc.set);
      }
      if ('value' in desc) {
        o[prop] = desc.value;
      }
      return o;
    };
  }
}());

// On older versions of IE Object.getOwnPropertyDescriptor can only be
// called with DOM elements; Here it is tested against a non-DOM object.
// If an error is raised, the method is replaced.
// https://gist.github.com/jhermsmeier/9a34b06a107bbf5d2c91
var testObject = {"t":"o"};
var replaceGetOwnPropertyDescriptor = false;
try {
  Object.getOwnPropertyDescriptor(testObject, "t");
} catch(err) {
  replaceGetOwnPropertyDescriptor = true;
}
if (replaceGetOwnPropertyDescriptor) {
  Object.getOwnPropertyDescriptor = function( object, key ) {
    
    var hasSupport =
      typeof object.__lookupGetter__ === 'function' &&
      typeof object.__lookupSetter__ === 'function'
    
    // TODO: How does one determine this?!
    var isGetterSetter = !hasSupport ? null :
      object.__lookupGetter__( key ) ||
      object.__lookupSetter__( key )
    
    return isGetterSetter != null ? {
      configurable: true,
      enumerable: true,
      get: object.__lookupGetter__( key ),
      set: object.__lookupSetter__( key )
    } : {
      configurable: true,
      writable: true,
      enumerable: true,
      value: object[ key ]
    }
  }
}

// https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String/codePointAt
/*! https://mths.be/codepointat v0.2.0 by @mathias */
if (!String.prototype.codePointAt) {
  (function() {
    'use strict'; // needed to support `apply`/`call` with `undefined`/`null`
    var defineProperty = (function() {
      // IE 8 only supports `Object.defineProperty` on DOM elements
      try {
        var object = {};
        var $defineProperty = Object.defineProperty;
        var result = $defineProperty(object, object, object) && $defineProperty;
      } catch(error) {}
      return result;
    }());
    var codePointAt = function(position) {
      if (this == null) {
        throw TypeError();
      }
      var string = String(this);
      var size = string.length;
      // `ToInteger`
      var index = position ? Number(position) : 0;
      if (index != index) { // better `isNaN`
        index = 0;
      }
      // Account for out-of-bounds indices:
      if (index < 0 || index >= size) {
        return undefined;
      }
      // Get the first code unit
      var first = string.charCodeAt(index);
      var second;
      if ( // check if it’s the start of a surrogate pair
        first >= 0xD800 && first <= 0xDBFF && // high surrogate
        size > index + 1 // there is a next code unit
      ) {
        second = string.charCodeAt(index + 1);
        if (second >= 0xDC00 && second <= 0xDFFF) { // low surrogate
          // https://mathiasbynens.be/notes/javascript-encoding#surrogate-formulae
          return (first - 0xD800) * 0x400 + second - 0xDC00 + 0x10000;
        }
      }
      return first;
    };
    if (defineProperty) {
      defineProperty(String.prototype, 'codePointAt', {
        'value': codePointAt,
        'configurable': true,
        'writable': true
      });
    } else {
      String.prototype.codePointAt = codePointAt;
    }
  }());
}
