import { ThreadedClass, ThreadedClassConfig } from '../api';
declare type CtorArgs<CtorT extends new (...args: any) => any> = CtorT extends new (...args: infer K) => any ? K : never;
/**
 * Returns an asynchronous version of the provided class
 * @param orgModule Path to imported module (this is what is in the require('XX') function, or import {class} from 'XX'} )
 * @param orgExport Name of export in module
 * @param constructorArgs An array of arguments to be fed into the class constructor
 */
export declare function threadedClass<T, TCtor extends new (...args: any) => T>(orgModule: string, orgExport: string, constructorArgs: CtorArgs<TCtor>, configOrg?: ThreadedClassConfig): Promise<ThreadedClass<T>>;
export {};
